Get a list of Tag Sets
GET /api
Also reachable at /api, /api.
Lists all of the Tag Sets in the supplied Octopus Deploy Space. The results will be sorted alphabetically by the SortOrder field on each tag set.
Path Parameters
spaceIdstring (required)
Query Parameters
idsarray of string
Comma separated list of Ids.namestring
The exact name of a Tag Set to be matched.partialNamestring
A partial or complete name to search on. This will perform a "contains" style match against the supplied name or name-fragment.scopesarray of string
Limits results to tag sets that apply to any of these resource types. Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.typesarray of string
Limits results to tag sets of these types. Valid values: ‘SingleSelect’, ‘MultiSelect’, ‘FreeText’.
Response
200 — The list of matching Tag Sets, sorted alphabetically by the SortOrder field on each tag set.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectDescriptionstring
Gets or sets the description of this tag set.Idstring
Gets or sets a unique identifier for this resource.IsSystemboolean
Whether this tag set is a system-managed tag set.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types this tag set applies to.SortOrderinteger
Gets or sets the sort order of this tag set.SpaceIdstringTagsarray of object
The tags that make up this tag set.Typestring
The type of this tag set.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Description": "string",
"Id": "string",
"IsSystem": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{}
],
"Type": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new Tag Set
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
Descriptionstring
Sets the description of this tag set.Namestring (required)
Sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types the tag set applies to. Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’. Defaults to [‘Tenant’] when omitted.SortOrderinteger
Sets the sort order of this tag set.SpaceIdstring (required)Tagsarray of object
The tags that make up the tag set. Each tag is an object with a ‘Name’, an optional ‘Description’, a ‘Color’ hex code (e.g. ‘#3156B3’), and a ‘SortOrder’. Leave empty for a ‘FreeText’ tag set, which does not allow predefined tags.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
How tags from the set are applied to a resource: ‘MultiSelect’ (any number of tags), ‘SingleSelect’ (one tag at a time), or ‘FreeText’ (arbitrary values, no predefined tags). Defaults to ‘MultiSelect’ when omitted.
Response
201 — Created
Descriptionstring
Gets or sets the description of this tag set.Idstring
Gets or sets a unique identifier for this resource.IsSystemboolean
Whether this tag set is a system-managed tag set.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types this tag set applies to.SortOrderinteger
Gets or sets the sort order of this tag set.SpaceIdstringTagsarray of object
The tags that make up this tag set.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
The type of this tag set.
Example Request
{
"Description": "string",
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}Example Response
{
"Description": "string",
"Id": "string",
"IsSystem": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}Get a list of Tag Sets
GET /api
Also reachable at /api, /api.
Lists the details of all of the Tag Sets in the supplied Octopus Deploy Space. The results will be sorted by the SortOrder field on each Tag Set.
Path Parameters
spaceIdstring (required)
Query Parameters
scopesarray of string
Response
200 — List of Tag Sets, sorted by the SortOrder field on each Tag Set.
Descriptionstring
Gets or sets the description of this tag set.Idstring
Gets or sets a unique identifier for this resource.IsSystemboolean
Whether this tag set is a system-managed tag set.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types this tag set applies to.SortOrderinteger
Gets or sets the sort order of this tag set.SpaceIdstringTagsarray of object
The tags that make up this tag set.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
The type of this tag set.
Example Response
[
{
"Description": "string",
"Id": "string",
"IsSystem": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}
]PUT /api/{spaceId}/tagsets/sortorder
PUT /api
Also reachable at /api, /api.
Takes an array of tag set IDs as the request body, uses the order of items in the array to sort the tag sets on the server. The ID of every tag set must be specified.
Path Parameters
spaceIdstring (required)
Request Body
A array of string payload.
Response
200 — Success
Example Request
[
"string"
]Get a Tag Set by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tag Set to load.spaceIdstring (required)
Response
200 — The requested Tag Set
Descriptionstring
Gets or sets the description of this tag set.Idstring
Gets or sets a unique identifier for this resource.IsSystemboolean
Whether this tag set is a system-managed tag set.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types this tag set applies to.SortOrderinteger
Gets or sets the sort order of this tag set.SpaceIdstringTagsarray of object
The tags that make up this tag set.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
The type of this tag set.
Example Response
{
"Description": "string",
"Id": "string",
"IsSystem": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}Modify an existing Tag Set
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tag Set to modify.spaceIdstring (required)
Request Body
Descriptionstring
Sets the description of this tag set.Idstring (required)
ID of the Tag Set to modify.Namestring (required)
Sets the name of this tag set. Minimum length 1.Scopesarray of string
The complete set of resource types the tag set applies to; a scope omitted here is removed (rejected if tags are in use for it). Valid values: ‘Tenant’, ‘Environment’, ‘Project’, ‘Target’, ‘Runbook’, ‘Feature Toggle’. Defaults to [‘Tenant’] when omitted.SortOrderinteger
Sets the sort order of this tag set.SpaceIdstring (required)Tagsarray of object
The complete list of tags for the tag set; existing tags omitted here are deleted (rejected if still in use). Each tag is an object with a ‘Name’, an optional ‘Description’, a ‘Color’ hex code (e.g. ‘#3156B3’), a ‘SortOrder’, and — for existing tags — the ‘Id’ from get_tag_set, which must be kept to update or rename a tag rather than replace it.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
How tags from the set are applied to a resource: ‘MultiSelect’ (any number of tags), ‘SingleSelect’ (one tag at a time), or ‘FreeText’ (arbitrary values, no predefined tags). Defaults to ‘MultiSelect’ when omitted; a tag set in use can only change from SingleSelect to MultiSelect.
Response
200 — Confirms that a Tag Set has been modified, containing the updated Tag Set
Descriptionstring
Gets or sets the description of this tag set.Idstring
Gets or sets a unique identifier for this resource.IsSystemboolean
Whether this tag set is a system-managed tag set.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this tag set. Minimum length 1.Scopesarray of string
The resource types this tag set applies to.SortOrderinteger
Gets or sets the sort order of this tag set.SpaceIdstringTagsarray of object
The tags that make up this tag set.CanonicalTagNamestring
This is the canonical name for the Tag formed as {TagSetName}/{TagName} which is easier to work with than the ID in certain scenarios.Colorstring
Gets or sets the color of this tag.Descriptionstring
Gets or sets the description of this tag.IdstringNamestring
Gets or sets the name of this tag.SortOrderinteger
Typestring
The type of this tag set.
Example Request
{
"Description": "string",
"Id": "string",
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}Example Response
{
"Description": "string",
"Id": "string",
"IsSystem": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"Scopes": [
"string"
],
"SortOrder": 0,
"SpaceId": "string",
"Tags": [
{
"CanonicalTagName": "string",
"Color": "string",
"Description": "string",
"Id": "string",
"Name": "string",
"SortOrder": 0
}
],
"Type": "string"
}Delete an existing Tag Set
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Tag Set to delete.spaceIdstring (required)
Response
200 — Success